﻿using ReportLibrary1;

namespace ConsoleApplication1
{
    public class Program
    {
        public static void Main()
        {
            int headerInvoiceNumber = 4;

            Telerik.Reporting.Processing.ReportProcessor reportProcessor = new Telerik.Reporting.Processing.ReportProcessor();
            System.Collections.Hashtable deviceInfo = new System.Collections.Hashtable();
            Telerik.Reporting.TypeReportSource typeReportSource = new Telerik.Reporting.TypeReportSource();
            typeReportSource.TypeName = typeof(FCInvoiceHeader).AssemblyQualifiedName;
            typeReportSource.Parameters.Add("OrderNumber", headerInvoiceNumber);
            Telerik.Reporting.Processing.RenderingResult result = reportProcessor.RenderReport("PDF", typeReportSource, deviceInfo);
            string fileName = headerInvoiceNumber + "." + result.Extension;
            string path = @"C:\FleetCareBulkInvoice\";
            bool exists = System.IO.Directory.Exists(path);
            if (!exists)
                System.IO.Directory.CreateDirectory(path);
            string filePath = System.IO.Path.Combine(path, fileName);
            using (System.IO.FileStream fs = new System.IO.FileStream(filePath, System.IO.FileMode.Create))
            {
                fs.Write(result.DocumentBytes, 0, result.DocumentBytes.Length);
            }
        }
    }
}
